<?php

namespace Test\Test\Repositories\Eloquent;

use Test\Test\Interfaces\TestingTblRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Test\Test\Repositories\Eloquent\Presenters\TestingTblItemPresenter;


class TestingTblRepository extends BaseRepository implements TestingTblRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('test.test.testing_tbl.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('test.test.testing_tbl.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return TestingTblItemPresenter::class;
    }
}
