<?php

namespace Test\Test\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Test\Test\Models\TestingTbl;

class TestingTblAction
{
    /**
     * Perform the complete action.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return TestingTbl
     */
    public function complete(TestingTbl $testing_tbl)
    {
        try {
            $testing_tbl->status = 'complete';
            return $testing_tbl->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return TestingTbl
     */public function verify(TestingTbl $testing_tbl)
    {
        try {
            $testing_tbl->status = 'verify';
            return $testing_tbl->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return TestingTbl
     */public function approve(TestingTbl $testing_tbl)
    {
        try {
            $testing_tbl->status = 'approve';
            return $testing_tbl->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return TestingTbl
     */public function publish(TestingTbl $testing_tbl)
    {
        try {
            $testing_tbl->status = 'publish';
            return $testing_tbl->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return TestingTbl
     */
    public function archive(TestingTbl $testing_tbl)
    {
        try {
            $testing_tbl->status = 'archive';
            return $testing_tbl->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return TestingTbl
     */
    public function unpublish(TestingTbl $testing_tbl)
    {
        try {
            $testing_tbl->status = 'unpublish';
            return $testing_tbl->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
