<?php

namespace Test\Test\Workflow;

use Test\Test\Models\TestingTbl;
use Test\Test\Notifications\TestingTblWorkflow as TestingTblNotifyer;
use Notification;

class TestingTblNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return void
     */
    public function complete(TestingTbl $testing_tbl)
    {
        return Notification::send($testing_tbl->user, new TestingTblNotifyer($testing_tbl, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return void
     */
    public function verify(TestingTbl $testing_tbl)
    {
        return Notification::send($testing_tbl->user, new TestingTblNotifyer($testing_tbl, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return void
     */
    public function approve(TestingTbl $testing_tbl)
    {
        return Notification::send($testing_tbl->user, new TestingTblNotifyer($testing_tbl, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return void
     */
    public function publish(TestingTbl $testing_tbl)
    {
        return Notification::send($testing_tbl->user, new TestingTblNotifyer($testing_tbl, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return void
     */
    public function archive(TestingTbl $testing_tbl)
    {
        return Notification::send($testing_tbl->user, new TestingTblNotifyer($testing_tbl, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param TestingTbl $testing_tbl
     *
     * @return void
     */
    public function unpublish(TestingTbl $testing_tbl)
    {
        return Notification::send($testing_tbl->user, new TestingTblNotifyer($testing_tbl, 'unpublish'));;

    }
}
